svn commit: r362534 - in head/net/GeoIP: . files
Adam Weinberger
adamw at FreeBSD.org
Tue Jul 22 12:24:59 UTC 2014
Author: adamw
Date: Tue Jul 22 12:24:58 2014
New Revision: 362534
URL: http://svnweb.freebsd.org/changeset/ports/362534
QAT: https://qat.redports.org/buildarchive/r362534/
Log:
Fetch the GeoIPv6 data along with the IPv4 data. This change
means that to update the IPv6 data you must use the included
geoipupdate.sh script, not the source-provided geoipdate command.
Add a pkg-message about how to update.
PR: 189618
Submitted by: futatuki at yf.bsdclub.org
Also,
PR: 187906
Submitted by: Miroslav Lachman
Added:
head/net/GeoIP/files/pkg-message.in (contents, props changed)
Modified:
head/net/GeoIP/Makefile
head/net/GeoIP/files/geoipupdate.sh.in
Modified: head/net/GeoIP/Makefile
==============================================================================
--- head/net/GeoIP/Makefile Tue Jul 22 11:50:26 2014 (r362533)
+++ head/net/GeoIP/Makefile Tue Jul 22 12:24:58 2014 (r362534)
@@ -3,7 +3,7 @@
PORTNAME= GeoIP
PORTVERSION= 1.4.8
-PORTREVISION= 6
+PORTREVISION= 7
CATEGORIES= net geography
MASTER_SITES= http://geolite.maxmind.com/download/geoip/api/c/
@@ -16,7 +16,7 @@ USE_LDCONFIG= yes
USE_AUTOTOOLS= aclocal automake libtool libtoolize autoconf
AUTOMAKE_ARGS= --add-missing
-SUB_FILES= geoipupdate.sh
+SUB_FILES= geoipupdate.sh pkg-message
post-install:
${INSTALL_SCRIPT} ${WRKDIR}/geoipupdate.sh ${STAGEDIR}${PREFIX}/bin
Modified: head/net/GeoIP/files/geoipupdate.sh.in
==============================================================================
--- head/net/GeoIP/files/geoipupdate.sh.in Tue Jul 22 11:50:26 2014 (r362533)
+++ head/net/GeoIP/files/geoipupdate.sh.in Tue Jul 22 12:24:58 2014 (r362534)
@@ -1,2 +1,28 @@
#!/bin/sh
-fetch -o - http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz | gunzip > %%DATADIR%%/GeoIP.dat
+
+TEMPFILE=`mktemp %%DATADIR%%/GeoIP.dat-XXXXXX`
+if fetch -o - http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz | gunzip >> $TEMPFILE ; then
+ chmod 644 $TEMPFILE
+ if ! mv $TEMPFILE %%DATADIR%%/GeoIP.dat ; then
+ rm $TEMPFILE
+ echo Unable to overwrite %%DATADIR%%/GeoIP.dat
+ exit 2
+ fi
+else
+ rm $TEMPFILE
+ echo GeoIP.dat download failed
+ exit 1
+fi
+TEMPFILE=`mktemp %%DATADIR%%/GeoIPv6.dat-XXXXXX`
+if fetch -o - http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz | gunzip >> $TEMPFILE ; then
+ chmod 644 $TEMPFILE
+ if ! mv $TEMPFILE %%DATADIR%%/GeoIPv6.dat ; then
+ rm $TEMPFILE
+ echo Unable to overwrite %%DATADIR%%/GeoIPv6.dat
+ exit 2
+ fi
+else
+ rm $TEMPFILE
+ echo GeoIPv6.dat download failed
+ exit 1
+fi
Added: head/net/GeoIP/files/pkg-message.in
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/net/GeoIP/files/pkg-message.in Tue Jul 22 12:24:58 2014 (r362534)
@@ -0,0 +1,4 @@
+GeoIP does not ship with the latest data file, and it does
+not ship with any IPv6 data! To obtain the latest v4 and v6
+data, run:
+# %%PREFIX%%/bin/geoipupdate.sh
More information about the svn-ports-head
mailing list